﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace EDM2
{
    public partial class Form1 : Form
    {
        StudenciEntities kontekst = new StudenciEntities();
        Student st;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dataGridView1.DataSource = kontekst.Student;
        }

        // Odtworzenie widoku
        public void Fill()
        {
            var TS = from st in kontekst.Student select st;
            dataGridView1.DataSource = TS;
        }

        // Ładuj
        private void button1_Click(object sender, EventArgs e)
        {
            Fill();
        }

        // Szukaj
        private void button2_Click(object sender, EventArgs e)
        {
            Form3 f3 = new Form3();
            int sem;

            if (f3.ShowDialog() == DialogResult.OK)
            {
                sem = int.Parse(f3.textBox1.Text);

                var TS = from st in kontekst.Student
                         where st.Semestr == sem
                         select st;

                dataGridView1.DataSource = TS;

            }
        }

        // Nowy
        private void button3_Click(object sender, EventArgs e)
        {
            Form2 f2 = new Form2();

            if (f2.ShowDialog() == DialogResult.OK)
            {
                st = new Student()
                    {
                        Album = int.Parse(f2.textBox1.Text),
                        Imię = f2.textBox2.Text,
                        Nazwisko = f2.textBox3.Text,
                        Semestr = int.Parse(f2.textBox4.Text)
                    };

                kontekst.Student.AddObject(st);

                kontekst.SaveChanges();

                Fill();
            }
        }

        // Zamknięcie aplikacji
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            kontekst.SaveChanges();
            kontekst.Dispose();
        }

        // Usuń
        private void button4_Click(object sender, EventArgs e)
        {
            Form4 f4 = new Form4();
            int alb;

            if (f4.ShowDialog() == DialogResult.OK)
            {
                if (f4.ShowDialog() == DialogResult.OK)
                {
                    alb = int.Parse(f4.textBox1.Text);
                    var usu = (from st in kontekst.Student
                               where st.Album == alb
                               select st).FirstOrDefault();
                    if (usu != null)
                    {
                        kontekst.Student.DeleteObject(usu);
                        kontekst.SaveChanges();
                    }
                }
            }
        }

        // Aktulalizacja za pomocą widoku
        private void dataGridView1_Validating(object sender, CancelEventArgs e)
        {
            kontekst.SaveChanges();
        }




    }
}
